Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799976 - restic: FTBFS in Fedora rawhide/f32
Summary: restic: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: restic
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:46 UTC by Fedora Release Engineering
Modified: 2020-03-26 01:20 UTC (History)
1 user (show)

Fixed In Version: restic-0.9.6-3.fc32 restic-0.9.6-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-25 16:16:41 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 19:46 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 19:46 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 19:46 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:46:00 UTC
restic failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41321203


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix restic at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
restic will be orphaned. Before branching of Fedora 33,
restic will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:46:03 UTC
Created attachment 1660601 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 19:46:05 UTC
Created attachment 1660602 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:46:06 UTC
Created attachment 1660603 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:39:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Update System 2020-03-17 20:43:59 UTC
FEDORA-2020-955f5d80dc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-955f5d80dc

Comment 6 Fedora Update System 2020-03-18 02:39:04 UTC
restic-0.9.6-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0d0bae29cf

Comment 7 Fedora Update System 2020-03-18 02:49:45 UTC
restic-0.9.6-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-955f5d80dc

Comment 8 Fedora Update System 2020-03-25 16:16:41 UTC
FEDORA-2020-0d0bae29cf has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-03-26 01:20:02 UTC
FEDORA-2020-955f5d80dc has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.